<?php

// Most of these global variables are due to get_template_part
global $childishlysimple_backend_details;
global $childishlysimple_error_hr;
global $childishlysimple_minor_errors;
global $childishlysimple_selected_color_scheme_dropdown;
global $childishlysimple_color_scheme_array;

$childishlysimple_error_hr ='';
?>


	
		<h4 class="layout home-page home-page-multiple-posts">Multiple posts above each other  <a class="help-left-medium" href="#"><img class="help-icon" src="<?php echo  get_template_directory_uri(); ?>/images/help-icon.png" alt="help icon" title="Help icon"/><span>This is a normal blog home page showing your most recent posts one above the other. You can change the number of posts on the home page and on category pages and archive pages by going to 'Settings > Reading'</span></a></h4>
		

<?php 	//	 Index page heading
	$home_page_heading_option='childishlysimple01_index_heading';
	$home_page_heading_label = '';
	$home_page_heading_default = ''; 
	$home_page_heading_description = 'Multiple posts heading. You can leave it blank.  <a class="help" href="#"><img class="help-icon" src="' .  get_template_directory_uri()  .  '/images/help-icon.png" alt="help icon" title="Help icon"/><span>This optional heading appears at the top of the home page.</span></a>';
	$home_page_heading_id = "home_page_heading"; 

		add_option( "$home_page_heading_option", "$home_page_heading_default" ); 
		$home_page_heading = get_option( "$home_page_heading_option" );

			if( $home_page_heading =='' ) $home_page_heading = $home_page_heading_default;	

			$allowed_html = array();
			$home_page_heading =  wp_kses($home_page_heading , $allowed_html);
			$home_page_heading = esc_attr( $home_page_heading);


					echo '<label  class="layout  home-page-heading" for="a_'.  $home_page_heading_id . '">'. $home_page_heading_label . '</label><br />' . "\n";
					echo '<input class="layout  home-page-heading " type="text" id="a_'.  $home_page_heading_id .'" name="'. $home_page_heading_option . '" value="'. $home_page_heading .'" />'."\n";

						if ( isset( $home_page_heading_error_message ) ) echo $home_page_heading_error_message; 
							echo "\n\n".'<span class="home-page-description  home-page-heading-description">', $home_page_heading_description, '</span>', "\n";
							
								$childishlysimple_backend_details['home_page_heading'] = $home_page_heading; 
								$childishlysimple_backend_details['home_page_heading_default'] = $home_page_heading_default;
?>








<div class="input-container home-page-heading-color">

<?php 	//	Home page heading color 
	$home_page_heading_color_option='childishlysimple01_home_page_heading_color';  
	$home_page_heading_color_default = '#ffffff';
	$home_page_heading_color_description = 'Heading color  <a class="help-medium" href="#"><img class="help-icon" src="' .  get_template_directory_uri()  .  '/images/help-icon.png" alt="help icon" title="Help icon"/><span>This is the text color of the home page heading.</span></a>';
	$home_page_heading_color_id = "home_page_heading_color"; 

		add_option( "$home_page_heading_color_option", "$home_page_heading_color_default" ); 
		$home_page_heading_color = get_option( "$home_page_heading_color_option" );
		
		
			if ($childishlysimple_selected_color_scheme_dropdown !==  '') {
				if ($childishlysimple_selected_color_scheme_dropdown !==  'change_this_color_scheme') {
					if ( isset (  $childishlysimple_color_scheme_array ['home_page_heading_color'] ))
						$home_page_heading_color = $childishlysimple_color_scheme_array ['home_page_heading_color'];
	}
}


			$allowed_html = array();
			$home_page_heading_color =  wp_kses($home_page_heading_color , $allowed_html);
			$home_page_heading_color = esc_attr( $home_page_heading_color ); 

				if( $home_page_heading_color =='' ) $home_page_heading_color = $home_page_heading_color_default; 
				$home_page_heading_color_error ='';
	
		if( ! preg_match( '/^#[a-f0-9]{6}$/i', $home_page_heading_color ) ) {

				$home_page_heading_color_error = 'style = "color:red;" ';  
				$childishlysimple_minor_errors = 'errors';
				$childishlysimple_error_hr ='<hr class="hr-error" />' . "\n";
				$home_page_heading_color_error_message =  '<h4 class="layout-error"> Enter  a hexadecimal number for the color. <br />
				This has a hash tag followed by 6 characters and uses numbers between 0 - 9 and letters between A - F ( case insensitive). <br />
				You entered '. $home_page_heading_color . '  &nbsp; The default color is ' . $home_page_heading_color_default . '<br />
				You might have entered a O instead of a zero or had too few or too many characters.</h4>'; 					
  				$home_page_heading_color = $home_page_heading_color_default;
		}


	echo '<input ' . $home_page_heading_color_error .  'class="home-page home-page-heading-color childishlysimple-colors" type="text" id="a_'.  $home_page_heading_color_id .'" name="'. $home_page_heading_color_option . '" value="'. $home_page_heading_color .'" />'."\n";

	if ( isset( $home_page_heading_color_error_message ) ) echo $home_page_heading_color_error_message;
	
		echo "\n\n".'<span class="home-page-description home-page-heading-color-description">', $home_page_heading_color_description, '</span>', "\n";

			$childishlysimple_backend_details['home_page_heading_color'] = $home_page_heading_color;
			$childishlysimple_backend_details['home_page_heading_color_default'] = $home_page_heading_color_default;
?>

</div><!-- input-container home-page-heading-color-->