<?php
global $childishlysimple_miscellaneous_stuff;
global $childishlysimple_frontend_details;
global $childishlysimple_file_name; 
global $childishlysimple_footer_items;



$childishlysimple_frontend_details = array();
$childishlysimple_frontend_details = get_option( 'childishlysimple01_registered_layout_details' ); 



if( $childishlysimple_frontend_details['major_errors'] == 'major_errors' ) $childishlysimple_frontend_details['site_layout'] = $childishlysimple_frontend_details['site_layout_default'];  	
//  All defaults are set in function-to-create-layout.php
//  Default layout (sidebars, site width etc) if there are major errors is set above
//  Default home page if there are major errors is set in index.php UNLESS a Page is used as the home page




$childishlysimple_miscellaneous_stuff = array( );
$childishlysimple_miscellaneous_stuff = $childishlysimple_frontend_details ['selected_miscellaneous_stuff'];
if( $childishlysimple_frontend_details =='' ) $childishlysimple_miscellaneous_stuff = array( 1,2 );	// Create a placeholder array just in case e.g. for FTP testing
?>



<!-- This is the WordPress Childishly Simple theme from Alchemweb.co.uk -->

<link rel="stylesheet" type="text/css" media="all" href="<?php echo get_stylesheet_uri(); ?>" />



<?php get_template_part( 'internal-style-sheet' ); ?> 



<title><?php wp_title( ':', true, 'right'); ?></title>



<?php wp_head( ); ?>



</head>



<body <?php body_class(); ?>>



<?php
if ( $childishlysimple_frontend_details['major_errors'] == '' ) {
	echo do_shortcode( $childishlysimple_frontend_details ['html_above_website'] ) . "\n\n";
	echo '<!-- Add HTML above your website on all of your pages -->' . "\n\n\n"; 
} 
?>



<div class="wrapper">  



<?php 
//	Top search box 
if ( in_array( 'topsearch', $childishlysimple_miscellaneous_stuff ) ){ ?>

<div class="top-search"> 
	<form method="get" class="top-search-form" action="<?php echo home_url();?>/">
		<fieldset class="top-search">
			<input type="text"  onfocus="this.value=''" value="Search"  name="s" id="top-search-input"  />
			<input  type="submit" id="top-search-submit" value="" />  
		</fieldset>
	</form>
</div><!--Close top search-->

<?php } ?>







<?php // user-generated HTML etc.
if ( $childishlysimple_frontend_details['major_errors'] == '' ) {
	echo '<!-- Add HTML above your top banner image on all of your web pages-->' . "\n\n\n"; 
	echo do_shortcode( $childishlysimple_frontend_details ['html_above_top_banner_image'] ) . "\n";
}
?>





	


<!--  Top banner image, taglines or shortcode on all web pages -->
<?php if ($childishlysimple_frontend_details['replace_top_banner_image']  == ! '') { // if anything was entered into the textarea then process it


		echo '<div class="top-image-container">' . "\n";

			echo do_shortcode( $childishlysimple_frontend_details ['replace_top_banner_image'] ) . "\n";

		echo "\n" . '</div><!-- end top-image-container -->';







} else { // if nothing was entered into the textarea







		$cs_header_image_path =  get_header_image( );
 		if ( $cs_header_image_path =='' ) { // if the user chose not to have a custom header then show the site title and site description (from 20/12 ) 	?>



	<div class="top-image-container">		
		<div class = "site-title-and-description-container site-title-and-description-container-without-header">
			
			<h1 class="site-title-and-description site-title site-title-without-header"><?php bloginfo( 'name' ); ?>&nbsp;</h1>
	
			<h2 class="site-title-and-description site-description site-description-without-header"><?php bloginfo( 'description' ); ?>&nbsp;</h2>
	
		</div><!-- end site-title-and-description-container -->
	</div><!-- end top-image-container -->







				<?php } else { //  if the user chose to have a custom header then show the custom header  ?>







<div class="top-image-container">



<?php if ( ( !isset( $childishlysimple_frontend_details['header_image_link'] ) ) ||  ($childishlysimple_frontend_details['header_image_link'] == '' ) ) { 
//  if the custom header link variable isn't set or the custom header doesn't have a link 
?>


	<img class="header"  src="<?php header_image( ); ?>"  alt="header image" />
	<?php if ( isset (  $childishlysimple_frontend_details['tagline_details']  )) echo  $childishlysimple_frontend_details['tagline_details']; ?>


<?php } else { 	// if the custom header does have a link



	echo '<a class="custom-header-link" href="' . $childishlysimple_frontend_details['header_image_link'] . '">'; ?>
	<img class="header"  src="<?php header_image( ); ?>"  alt="header image" /></a>
	<?php if ( isset (  $childishlysimple_frontend_details['tagline_details']  )) echo  $childishlysimple_frontend_details['tagline_details']; ?>


<?php }  // end if the custom header has a link ?>



</div><!-- end top-image-container -->



<?php }  // end if the user chose to have a custom header




} // end if nothing was entered into the textarea 
?>







<?php
if ( $childishlysimple_frontend_details['major_errors'] == '' ) {
	echo do_shortcode( $childishlysimple_frontend_details ['html_below_top_banner_image'] ) . "\n\n";
	echo '<!-- Add HTML below the top banner image on all of your pages -->'  . "\n\n\n"; 
}
?>







<?php 
	wp_nav_menu( array( 	// Registered in functions.php with register_nav_menus
		'theme_location' => 'menu-1',  		
		'menu' => 'MyNewMenu',  	 	
		'container' => 'div', 				
		'container_class' => 'top-navigation',	
		'container_id' => '',					
		'menu_class' => 'top-navigation', 		
		'menu_id' => '', 
		'fallback_cb'     => '',  // 	http://codex.wordpress.org/Function_Reference/wp_nav_menu
		'before' => '',					
		'after' => '',					
		'link_before' => '',			
		'link_after' => '',			
		'depth' => '6',					
		'walker' => new Description_Walker, // see functions.php - adds optional description below top-level menu items	
		'echo' => 'true',			
)); 
?>







<?php
if ( $childishlysimple_frontend_details['major_errors'] == '' ) {
	echo do_shortcode( $childishlysimple_frontend_details ['html_below_top_navigation'] ) . "\n\n";
	echo '<!-- Add HTML below your top navigation bar on all of your web pages-->'. "\n\n"; 
}
?>




<div class="inner-wrapper">
