<?php
global $childishlysimple_frontend_details;
global $childishlysimple_file_name; // set at the top of header.php
?>




<style type="text/css">




<?php
//  All defaults are set in function-to-create-layout.php
//  Default layout if there are major errors is set in header.php. 
//  Default home page if there are major errors is set in index.php UNLESS a Page is used as the home page




//	Body background
echo 'body {background-color:'. $childishlysimple_frontend_details['body_background_color_default'] . ';}' . "\n\n"; 	




//	Body links
echo 'a:link,a:visited, div.entry a.more-link:link, div.entry a.more-link:visited, p.post-info-top span.number-of-comments, p.post-info-top span.meta-info, a.comments-closed:link, a.comments-closed:visited {color:' . $childishlysimple_frontend_details['body_and_post_link_color_default'] . ';}' ."\n";

echo 'a:hover, div.entry a.more-link:hover,a.comments-closed:hover {color:' . $childishlysimple_frontend_details['body_and_post_hover_color_default'] . ';}' ."\n\n";	




//	Site width and border color
//	No border for 100% width or there'll be a scroll bar. 
$wrapper_border = '';
if($childishlysimple_frontend_details ['site_width_number_default'] == 100) {
$wrapper_border = ';border:none;';
}




echo 'div.wrapper, div#wrapper {width:' .  $childishlysimple_frontend_details ['site_width_default'] . '; margin-left:auto;margin-right:auto; margin-top:' . $childishlysimple_frontend_details['top_of_website_spacing_default'] . ';border-color:' . $childishlysimple_frontend_details ['site_border_color_default'] . $wrapper_border .';}' . "\n\n";




// color of the primary tagline
echo 'h1.primary-tagline-h1, a.primary-tagline-link {color:' . $childishlysimple_frontend_details ['primary_tagline_color'] . ';}' . "\n\n";




// color of the secondary tagline
echo 'h2.secondary-tagline-h2, a.secondary-tagline-link {color:' . $childishlysimple_frontend_details ['secondary_tagline_color'] . ';}' . "\n\n";




//	top navigation bar background color
echo 'ul.top-navigation, div.top-navigation {background-color:'. $childishlysimple_frontend_details['top_navigation_bar_background_color_default'] . '; }' ."\n"; 




//	top navigation bar border color
echo 'div.top-navigation {border-top-color:' . $childishlysimple_frontend_details['top_navigation_bar_top_border_color_default'] . '; border-bottom-color:' . $childishlysimple_frontend_details['top_navigation_bar_bottom_border_color_default'] .	'; }' ."\n"; 




//	top navigation bar link color
echo 'div.top-navigation a {color:'. $childishlysimple_frontend_details['top_navigation_bar_link_color_default'] . ';}' ."\n"; 




//	top navigation bar link hover color
echo 'div.top-navigation li:hover > a,  div.top-navigation a:focus {color:'. $childishlysimple_frontend_details['top_navigation_bar_hover_color_default'] . ';}' ."\n\n"; 




//	top dropdown menu font color, background color, border color
echo 'ul.top-navigation li li a:link, ul.top-navigation li li a:visited {color:' . $childishlysimple_frontend_details['top_dropdown_menu_font_color_default'] .  '; background-color:' . 	$childishlysimple_frontend_details['top_dropdown_menu_link_background_color_default']  .'; border-color: ' . $childishlysimple_frontend_details ['top_dropdown_menu_border_color_default'] . ';} ' ."\n" ; 




//	top dropdown menu color, background color, border color when the menu is hovered over		
echo 'ul.top-navigation li li a:hover {color:' . $childishlysimple_frontend_details['top_dropdown_menu_hover_font_color_default'] .  '; background-color:' . $childishlysimple_frontend_details['top_dropdown_menu_hover_background_color_default']  . '; border-color: ' . $childishlysimple_frontend_details ['top_dropdown_menu_border_color_default'] . ';} ' ."\n" ; 




//	top dropdown menu background color when the menu is clicked					
echo 'ul.top-navigation li li a:active {color:' . $childishlysimple_frontend_details['top_dropdown_menu_font_color_default'] .  '; background-color:' . $childishlysimple_frontend_details['top_dropdown_menu_active_background_color_default']  . '; border-color: ' . $childishlysimple_frontend_details ['top_dropdown_menu_border_color_default'] . ';} ' ."\n\n" ; 




//	contains the posts
echo 'div.inner-wrapper, div#inner-wrapper{background-color:'. $childishlysimple_frontend_details['content_background_color_default'] . ';}' ."\n"; 




//	content width (contains all the posts)
echo 'div#content, div.content{width:' .  $childishlysimple_frontend_details ['content_width_default']  . ';}'. "\n\n"; 	




//	Sidebar top-item spacing				
echo 'div.sidebar{padding-top:' .  $childishlysimple_frontend_details ['sidebar_top_spacing_default'] .';}'. "\n"; 




//	left sidebar width and short left sidebar background color					
echo 'div.left-sidebar{width:' .  $childishlysimple_frontend_details ['left_sidebar_width_default'] .  ';background-color:'. $childishlysimple_frontend_details['short_left_sidebar_background_color_default'] . '}'. "\n"; 




// 	long left sidebar background color, width, position
$left_position = '';

if ($childishlysimple_frontend_details['site_layout_default'] == 'three_col_cont_left') {
$left_position = 'right:' .  $childishlysimple_frontend_details['right_sidebar_width_default'] . ';';
} else {
	$left_position = 'left:0px;';
	}
echo 'div.inner-wrapper div.long-left-sidebar-background, div#inner-wrapper div.long-left-sidebar-background{background-color:'. $childishlysimple_frontend_details['long_left_sidebar_background_color_default'] . '; width:'. $childishlysimple_frontend_details['left_sidebar_width_default'] . ';' . $left_position . '}'. "\n"; 




//	left sidebar item background color and border color
echo 'div.left-sidebar-item {background-color:'. $childishlysimple_frontend_details['left_sidebar_item_background_color_default'] . '; border-color:'. $childishlysimple_frontend_details['left_sidebar_item_border_color_default'] . ';color:'. $childishlysimple_frontend_details['left_sidebar_font_color_default'] . '}' . "\n"; 




//	left sidebar item list border color
echo 'div.left-sidebar-item ul li {border-bottom-color:' . $childishlysimple_frontend_details['left_sidebar_item_list_underline_color_default'] .  '}' . "\n"; 




//	left sidebar heading background color
echo 'div.left-sidebar-item h2.widgettitle, div.left-sidebar-item h2.left-sidebar-item {background-color:' .  $childishlysimple_frontend_details['left_sidebar_item_heading_background_color_default'] . '; color:' . $childishlysimple_frontend_details['left_sidebar_item_heading_font_color_default'] .  ';}' ."\n\n";      




//	left sidebar link and visited  color
echo 'div.left-sidebar-item a:link, div.left-sidebar-item a:visited, a.url:link, a.url:visited {color:'. $childishlysimple_frontend_details['left_sidebar_link_color_default'] . ' !important;}' . "\n"; 




//	left sidebar hover color
echo 'div.left-sidebar-item a:hover, a.url:hover {color:'. $childishlysimple_frontend_details['left_sidebar_hover_color_default'] . ' !important;}' . "\n\n"; 




//	right sidebar width and short right sidebar background color
echo 'div.right-sidebar{width:' .  $childishlysimple_frontend_details ['right_sidebar_width_default']  . ';background-color:'. $childishlysimple_frontend_details['short_right_sidebar_background_color_default'] . ';}'. "\n"; 




// 	long right sidebar background color, width, position
$right_position = '';

if ($childishlysimple_frontend_details['site_layout_default'] == 'three_col_cont_right') {
$right_position = 'left:' .  $childishlysimple_frontend_details['left_sidebar_width_default'] . ';';
} else {
	$right_position = 'right:0px;';
	}
echo 'div.inner-wrapper div.long-right-sidebar-background, div#inner-wrapper div.long-right-sidebar-background{background-color:'. $childishlysimple_frontend_details['long_right_sidebar_background_color_default'] . '; width:'. $childishlysimple_frontend_details['right_sidebar_width_default'] . ';' . $right_position . '}'. "\n"; 




//	right sidebar item background color and border color
echo 'div.right-sidebar-item {background-color:'. $childishlysimple_frontend_details['right_sidebar_item_background_color_default'] . ';border-color:'. $childishlysimple_frontend_details['right_sidebar_item_border_color_default'] . ';color:'. $childishlysimple_frontend_details['right_sidebar_font_color_default'] . ';}' . "\n"; 




//	right sidebar item list border color
echo 'div.right-sidebar-item ul li {border-bottom-color:' . $childishlysimple_frontend_details['right_sidebar_item_list_underline_color_default'] .  '}' . "\n"; 




//	right sidebar heading background color
echo 'div.right-sidebar-item h2.widgettitle, div.right-sidebar-item h2.right-sidebar-item {background-color:' .  $childishlysimple_frontend_details['right_sidebar_item_heading_background_color_default'] . ';color:' . $childishlysimple_frontend_details['right_sidebar_item_heading_font_color_default'] .  ';}' ."\n\n";      




//	right sidebar link and visited color
echo 'div.right-sidebar-item a:link, div.right-sidebar-item a:visited, a.url:link, a.url:visited {color:'. $childishlysimple_frontend_details['right_sidebar_link_color_default'] . ' !important;}' . "\n"; 




//	right sidebar hover color
echo 'div.right-sidebar-item a:hover, a.url:hover {color:'. $childishlysimple_frontend_details['right_sidebar_hover_color_default'] . ' !important;}' . "\n\n"; 




//	category heading font color and navigation link colors	
echo 'h1.multiple-post-heading,  span.multiple-nav-left a:link, span.multiple-nav-left a:hover, span.multiple-nav-left a:visited,  span.multiple-nav-right a:link, span.multiple-nav-right a:hover,  span.multiple-nav-right a:visited, p.single-left, p.single-right, p.single-left a:link, p.single-left a:visited, p.single-left a:hover, p.single-right a:link, p.single-right a:visited, p.single-right a:hover, p.password-protected-comments, h3.comment-reply-title, h3.comment-reply-title a:link, a#cancel-comment-reply-link, p.allowed-tags, p.logged-in-as, a.logged-in-as, a.log-out  {color:'. $childishlysimple_frontend_details['category_heading_font_color_default'] . ';}' . "\n\n"; 




//	post title link color, visited color, page title color
echo 'h1.post-title,  h1.page,  h2.post-title, a.permalink:link, a.permalink:visited  {color:' .  $childishlysimple_frontend_details ['post_title_font_color_default']  . ';}'. "\n"; 




//	post title hover color
echo 'a.permalink:hover {color:' .  $childishlysimple_frontend_details ['post_title_font_hover_color_default']  . ';}'. "\n\n"; 




//	post border color, background color and font color
echo 'div.post, div.page, div.attachment, p.post-info-top {border-color:'. $childishlysimple_frontend_details['post_border_color_default'] . '; background-color:'. $childishlysimple_frontend_details['post_background_color_default'] .  '; color:' .  $childishlysimple_frontend_details['post_font_color_default'] .';}' ."\n\n"; 	




// 	Caption text color, closed comments (unlinked)
echo '.wp-caption-text, span.comment-link {color:' .  $childishlysimple_frontend_details['post_font_color_default'] .';}' ."\n\n"; 




//	post bottom border margin
echo 'div.post, div.page, div.attachment {margin-bottom:'. $childishlysimple_frontend_details['post_margin_bottom_default'] . ';}' ."\n\n"; 




//	sticky post border - same color, wider (width set in style.css)
echo 'div.sticky {border-color: '. $childishlysimple_frontend_details['post_border_color_default'] . ';}' ."\n\n";  




//	bottom navigation bar background color
echo 'ul.bottom-navigation, div.bottom-navigation {background-color:'. $childishlysimple_frontend_details['bottom_navigation_bar_background_color_default'] . '; }' ."\n"; 




//	bottom navigation bar border color
echo 'div.bottom-navigation {border-top-color:' . $childishlysimple_frontend_details['bottom_navigation_bar_top_border_color_default'] . '; border-bottom-color:' . $childishlysimple_frontend_details['bottom_navigation_bar_bottom_border_color_default'] .	'; }' ."\n"; 




//	bottom navigation bar link color 
echo 'div.bottom-navigation a {color:'. $childishlysimple_frontend_details['bottom_navigation_bar_link_color_default'] . ';}' ."\n"; 




//	bottom navigation bar hover color 
echo 'div.bottom-navigation li:hover > a,  div.bottom-navigation a:focus {color:'. $childishlysimple_frontend_details['bottom_navigation_bar_hover_color_default'] . ';}' ."\n\n"; 




//	bottom dropdown menu font color, background color, border color
echo 'ul.bottom-navigation li li a:link, ul.bottom-navigation li li a:visited {color:' . $childishlysimple_frontend_details['bottom_dropdown_menu_font_color_default'] .  '; background-color:' . 	$childishlysimple_frontend_details['bottom_dropdown_menu_link_background_color_default']  .'; border-color: ' . $childishlysimple_frontend_details ['bottom_dropdown_menu_border_color_default'] . ';} ' ."\n" ; 




//	bottom dropdown menu color, background color, border color when the menu is hovered over			
echo 'ul.bottom-navigation li li a:hover {color:' . $childishlysimple_frontend_details['bottom_dropdown_menu_hover_font_color_default'] .  '; background-color:' . $childishlysimple_frontend_details['bottom_dropdown_menu_hover_background_color_default']  . '; border-color: ' . $childishlysimple_frontend_details ['bottom_dropdown_menu_border_color_default'] . ';} ' ."\n" ; 




//	bottom dropdown menu background color when the menu item is clicked				
echo 'ul.bottom-navigation li li a:active {color:' . $childishlysimple_frontend_details['bottom_dropdown_menu_font_color_default'] .  '; background-color:' . $childishlysimple_frontend_details['bottom_dropdown_menu_active_background_color_default']  . '; border-color: ' . $childishlysimple_frontend_details ['bottom_dropdown_menu_border_color_default'] . ';} ' ."\n\n" ; 




//	footer background color, footer item width, footer item background color, footer item border and font color
echo 'div.footer {background-color:'. $childishlysimple_frontend_details['footer_background_color_default'] . ';}' . "\n";			
echo 'div.outer-footer-item {width:' . $childishlysimple_frontend_details['outer_footer_item_width_default'] . ';}' . "\n";
echo 'div.inner-footer-item {background-color:'. $childishlysimple_frontend_details['footer_item_background_color_default'] . ';border-color:'. $childishlysimple_frontend_details['footer_item_border_color_default'] .  ';color:'. $childishlysimple_frontend_details['footer_font_color_default'] . '; min-height:' .  $childishlysimple_frontend_details['footer_item_minimum_height_default'] . ';}' . "\n"; 




// hack for latest comments
echo 'div.inner-footer-item p.footer-latest-comments-excerpt {color:'. $childishlysimple_frontend_details['footer_font_color_default'] . ';}' . "\n"; 




//	footer item list border color
echo 'div.inner-footer-item ul li {border-bottom-color:' . $childishlysimple_frontend_details['footer_item_list_underline_color_default'] .  '}' . "\n"; 




//	footer heading background color and font color
echo 'h2.footer-item, h2.widgettitle {background-color:'. $childishlysimple_frontend_details['footer_item_heading_background_color_default'] . ';color:'. $childishlysimple_frontend_details['footer_item_heading_font_color_default'] . ';}' ."\n\n"; 




//	footer item link and visited color
echo 'div.inner-footer-item a:link, div.inner-footer-item a:visited {color:'. $childishlysimple_frontend_details['footer_link_color_default'] . ' !important;}' . "\n"; 




// footer item hover color
echo 'div.inner-footer-item a:hover {color:'. $childishlysimple_frontend_details['footer_hover_color_default'] . ' !important;}' . "\n\n"; 




//	footer spacer, which pushes footer items down the page
echo 'div.footer-spacer {height:'. $childishlysimple_frontend_details['footer_spacing_default'] . ';}' ."\n\n"; 




//	link color of RSS feed links, powered by WordPress link, Alchemweb link and copyright notice
echo'p.copyright, a.powered-by:link, a.theme-created-by:link, a.rss-all-posts:link, a.rss-all-comments:link, a.rss-comments-single-post:link, a.powered-by:visited, a.theme-created-by:visited, a.rss-all-posts:visited, a.rss-all-comments:visited, a.rss-comments-single-post:visited {color:' . $childishlysimple_frontend_details['utility_link_color_default'] . ';}' ."\n\n"; 




//	Hover color of RSS feed links, powered by WordPress links
echo'a.powered-by:hover, a.theme-created-by:hover, a.rss-all-posts:hover, a.rss-all-comments:hover, a.rss-comments-single-post:hover {color:' . $childishlysimple_frontend_details['utility_hover_color_default'] . ';}' ."\n\n"; 




// Miscellaneous items
$miscellaneous_items_internal_stylesheet = array( );
if (isset($childishlysimple_frontend_details['selected_miscellaneous_stuff_default'])) { // new array name, backwards compatibility
	$miscellaneous_items_internal_stylesheet = $childishlysimple_frontend_details['selected_miscellaneous_stuff_default'];
} else {
	$miscellaneous_items_internal_stylesheet = $childishlysimple_frontend_details['default_miscellaneous_stuff']; // old array name
}

	if ($miscellaneous_items_internal_stylesheet =='' ) $miscellaneous_items_internal_stylesheet = array( 1,2 ); // Create a placeholder array to prevent error messages on the website




//	Rounded corners on nearly everything. With thanks to the WordPress  Twenty Eleven theme
if( array_key_exists ( 'rounded_everything', $miscellaneous_items_internal_stylesheet ) ) {  // Defaults were standard array. Saved options were array_flip

echo 'div.entry img, div.home-page-custom-post-content img, div.post, div.page, div.attachment, div.comment-body{-moz-border-radius:7px;-webkit-border-radius:7px;border-radius:7px}' ."\n\n";




echo 'div.left-sidebar-item, h2.left-sidebar-item,  div.right-sidebar-item, h2.right-sidebar-item, div.inner-footer-item, h2.footer-item, left-sidebar-item, h2.left-sidebar-item,  div.inner-home-page-widget, div.left-sidebar-item h2.widgettitle:first-child, div.right-sidebar-item h2.widgettitle:first-child, div.inner-footer-item h2.widgettitle:first-child, div.inner-home-page-widget  h2.widgettitle:first-child {-moz-border-radius-topleft:7px; -moz-border-radius-topright:7px;-webkit-border-top-left-radius:7px;-webkit-border-top-right-radius:7px;border-top-right-radius:7px;border-top-left-radius:7px;}' ."\n\n\n";




echo 'div.left-sidebar-item,div.right-sidebar-item, div.inner-footer-item, div.inner-home-page-widget {-moz-border-radius-bottomleft:7px; -moz-border-radius-bottomright:7px;-webkit-border-bottom-left-radius:7px;-webkit-border-bottom-right-radius:7px;border-bottom-right-radius:7px;border-bottom-left-radius:7px;}' ."\n\n\n";




echo 'div.wrapper, div#wrapper, img.header {-moz-border-radius-topleft:7px; -moz-border-radius-topright:7px;-webkit-border-top-left-radius:7px;-webkit-border-top-right-radius:7px;border-top-right-radius:7px;border-top-left-radius:7px;}' . "\n\n\n";




echo 'div.wrapper, div#wrapper, div.footer {-moz-border-radius-bottomleft:7px; -moz-border-radius-bottomright:7px;-webkit-border-bottom-left-radius:7px;-webkit-border-bottom-right-radius:7px;border-bottom-right-radius:7px;border-bottom-left-radius:7px;}' . "\n\n\n";




echo 'img.avatar {-moz-border-radius: 3px;border-radius: 3px;-webkit-box-shadow: 0 1px 2px #bbb;-moz-box-shadow: 0 1px 2px #bbb;box-shadow: 0 1px 2px #bbb;}' . "\n\n\n";




echo 'a.page-numbers:link, a.page-numbers:visited, a.page-numbers:hover,span.current {-moz-border-radius: 3px;border-radius: 3px;-webkit-box-shadow: 0 1px 2px #bbb;-moz-box-shadow: 0 1px 2px #bbb;box-shadow: 0 1px 2px #bbb;}' . "\n\n\n";

	} else {	//	No rounded corners
	
	echo 'div.wrapper, div#wrapper, img.header,
	div.entry img, div.home-page-custom-post-content img, div.post, div.page, div.attachment, div.comment-body,
	div.left-sidebar-item, h2.left-sidebar-item,  
	div.right-sidebar-item, h2.right-sidebar-item, 
	div.inner-footer-item, h2.footer-item,  
	div.inner-home-page-widget,  
	div.left-sidebar-item h2.widgettitle:first-child, 
	div.right-sidebar-item h2.widgettitle:first-child, 
	div.inner-footer-item h2.widgettitle:first-child, 
	div.inner-home-page-widget h2.widgettitle:first-child,
	div.footer, img.avatar, a.page-numbers:link, a.page-numbers:visited, a.page-numbers:hover, span.current {
	border-radius:0;
	box-shadow: none;
	-moz-border-radius: 0;
	-moz-box-shadow: none;
	-webkit-border-radius: 0;
	-webkit-box-shadow: none;} '. "\n\n";
} // End if rounded corners


?>



</style>