<?php
global $childishlysimple_frontend_details;
global $childishlysimple_file_name; // set at the top of header.php




//	If there are no major errors on the Childishly Simple Options page in Admin
if ( $childishlysimple_frontend_details['major_errors'] == '' ) {  







echo '<style type = "text/css">';




//	Body background
echo 'body {background-color:'. $childishlysimple_frontend_details['body_background_color'] . ';}' . "\n\n"; 	




// Bottom of the website if 100% width
if($childishlysimple_frontend_details ['site_width_number'] == 100) echo 'body {padding-bottom:0;}';




//	Body links
echo 'a:link,a:visited, div.entry a.more-link:link, div.entry a.more-link:visited, p.post-info-top span.number-of-comments, p.post-info-top span.meta-info, a.comments-closed:link, a.comments-closed:visited {color:' . $childishlysimple_frontend_details['body_and_post_link_color'] . ';}' ."\n";

echo 'a:hover, div.entry a.more-link:hover,a.comments-closed:hover {color:' . $childishlysimple_frontend_details['body_and_post_hover_color'] . ';}' ."\n\n";	




//	Site width and border color
//	No border for 100% width or there'll be a scroll bar. 
$wrapper_border = '';
if($childishlysimple_frontend_details ['site_width_number'] == 100) {
$wrapper_border = ';border:none';
}

/*
if ($childishlysimple_frontend_details['liquid_or_fixed'] == 'fixed') {
$childishlysimple_frontend_details ['site_width'] = $childishlysimple_frontend_details ['site_width_number'] + ( 2 * $childishlysimple_frontend_details ['site_border_width'] );
$childishlysimple_frontend_details ['site_width'] = $childishlysimple_frontend_details ['site_width'] . 'px';
} // The box model means that adding a border to the outside wrapper squeezes the contents in causing layout issues
*/

echo 'div.wrapper, div#wrapper {width:' .  $childishlysimple_frontend_details ['site_width'] . '; margin-left:auto;margin-right:auto; margin-top:' . $childishlysimple_frontend_details['top_of_website_spacing'] . ';border-width:' . $childishlysimple_frontend_details ['site_border_width'] .  'px;border-color:' . $childishlysimple_frontend_details ['site_border_color'] . $wrapper_border .';}' . "\n\n";




// color of the primary tagline
echo 'h1.primary-tagline-h1, a.primary-tagline-link {color:' . $childishlysimple_frontend_details ['primary_tagline_color'] . ';}' . "\n\n";




// color of the secondary tagline
echo 'h2.secondary-tagline-h2, a.secondary-tagline-link {color:' . $childishlysimple_frontend_details ['secondary_tagline_color'] . ';}' . "\n\n";




//	top navigation bar background color
echo 'ul.top-navigation, div.top-navigation {background-color:'. $childishlysimple_frontend_details['top_navigation_bar_background_color'] . '; }' ."\n"; 




//	top navigation bar border color
echo 'div.top-navigation {border-top-color:' . $childishlysimple_frontend_details['top_navigation_bar_top_border_color'] . '; border-bottom-color:' . $childishlysimple_frontend_details['top_navigation_bar_bottom_border_color'] .	'; }' ."\n"; 




//	top navigation bar link color
echo 'div.top-navigation a, small.nav_desc {color:'. $childishlysimple_frontend_details['top_navigation_bar_link_color'] . ';}' ."\n"; 




//	top navigation bar link hover color
echo 'div.top-navigation li:hover > a,  div.top-navigation a:focus {color:'. $childishlysimple_frontend_details['top_navigation_bar_hover_color'] . ';}' ."\n\n"; 




//	top dropdown menu font color, background color, border color
echo 'ul.top-navigation li li a:link, ul.top-navigation li li a:visited {color:' . $childishlysimple_frontend_details['top_dropdown_menu_font_color'] .  '; background-color:' . 	$childishlysimple_frontend_details['top_dropdown_menu_link_background_color']  .'; border-color: ' . $childishlysimple_frontend_details ['top_dropdown_menu_border_color'] . ';} ' ."\n" ; 




//	top dropdown menu color, background color, border color when the menu is hovered over		
echo 'ul.top-navigation li li a:hover {color:' . $childishlysimple_frontend_details['top_dropdown_menu_hover_font_color'] .  '; background-color:' . $childishlysimple_frontend_details['top_dropdown_menu_hover_background_color']  . '; border-color: ' . $childishlysimple_frontend_details ['top_dropdown_menu_border_color'] . ';} ' ."\n" ; 




//	top dropdown menu background color when the menu is clicked					
echo 'ul.top-navigation li li a:active {color:' . $childishlysimple_frontend_details['top_dropdown_menu_font_color'] .  '; background-color:' . $childishlysimple_frontend_details['top_dropdown_menu_active_background_color']  . '; border-color: ' . $childishlysimple_frontend_details ['top_dropdown_menu_border_color'] . ';} ' ."\n\n" ; 




//	contains the posts
echo 'div.inner-wrapper, div#inner-wrapper{background-color:'. $childishlysimple_frontend_details['content_background_color'] . ';}' ."\n"; 



//	move the content up or down the page
echo 'div.header-container{min-height:'. $childishlysimple_frontend_details['content_top_spacing'] . ';}' ."\n"; 



//	content width (contains all the posts)
echo 'div#content, div.content{width:' .  $childishlysimple_frontend_details ['content_width']  . ';}'. "\n\n"; 	




//	Sidebar top-item spacing				
echo 'div.sidebar{padding-top:' .  $childishlysimple_frontend_details ['sidebar_top_spacing'] .';}'. "\n"; 




//	left sidebar width and short left sidebar background color					
echo 'div.left-sidebar{width:' .  $childishlysimple_frontend_details ['left_sidebar_width'] .  ';background-color:'. $childishlysimple_frontend_details['short_left_sidebar_background_color'] . '}'. "\n"; 




// 	long left sidebar background color, width, position
$left_position = '';

if ($childishlysimple_frontend_details['site_layout'] == 'three_col_cont_left') {
$left_position = 'right:' .  $childishlysimple_frontend_details['right_sidebar_width'] . ';';
} else {
	$left_position = 'left:0px;';
	}
echo 'div.inner-wrapper div.long-left-sidebar-background, div#inner-wrapper div.long-left-sidebar-background{background-color:'. $childishlysimple_frontend_details['long_left_sidebar_background_color'] . '; width:'. $childishlysimple_frontend_details['left_sidebar_width'] . ';' . $left_position . '}'. "\n"; 




//	left sidebar item background color and border color
echo 'div.left-sidebar-item {background-color:'. $childishlysimple_frontend_details['left_sidebar_item_background_color'] . '; border-color:'. $childishlysimple_frontend_details['left_sidebar_item_border_color'] . ';color:'. $childishlysimple_frontend_details['left_sidebar_font_color'] . '}' . "\n"; 




//	left sidebar table
echo 'div.left-sidebar table,  div.left-sidebar th,  div.left-sidebar tr,  div.left-sidebar td {border-color:'. $childishlysimple_frontend_details['left_sidebar_font_color'] . ';}' . "\n"; 




//	left sidebar item list border color
echo 'div.left-sidebar-item ul li {border-bottom-color:' . $childishlysimple_frontend_details['left_sidebar_item_list_underline_color'] .  '}' . "\n"; 




//	left sidebar item heading background color
echo 'div.left-sidebar-item h2.widgettitle, div.left-sidebar-item h2.left-sidebar-item {background-color:' .  $childishlysimple_frontend_details['left_sidebar_item_heading_background_color'] . '; color:' . $childishlysimple_frontend_details['left_sidebar_item_heading_font_color'] .  ';}' ."\n\n";      




//	left sidebar item link and visited  color
echo 'div.left-sidebar-item a:link, div.left-sidebar-item a:visited, div.left-sidebar-item a.url:link, div.left-sidebar-item a.url:visited {color:'. $childishlysimple_frontend_details['left_sidebar_link_color'] . ';}' . "\n"; 




//	left sidebar hover color
echo 'div.left-sidebar-item a:hover, div.left-sidebar-item a.url:hover {color:'. $childishlysimple_frontend_details['left_sidebar_hover_color'] . ';}' . "\n\n"; 




//	right sidebar width and short right sidebar background color
echo 'div.right-sidebar{width:' .  $childishlysimple_frontend_details ['right_sidebar_width']  . ';background-color:'. $childishlysimple_frontend_details['short_right_sidebar_background_color'] . ';}'. "\n"; 




// 	long right sidebar background color, width, position
$right_position = '';

if ($childishlysimple_frontend_details['site_layout'] == 'three_col_cont_right') {
$right_position = 'left:' .  $childishlysimple_frontend_details['left_sidebar_width'] . ';';
} else {
	$right_position = 'right:0px;';
	}
echo 'div.inner-wrapper div.long-right-sidebar-background, div#inner-wrapper div.long-right-sidebar-background{background-color:'. $childishlysimple_frontend_details['long_right_sidebar_background_color'] . '; width:'. $childishlysimple_frontend_details['right_sidebar_width'] . ';' . $right_position . '}'. "\n"; 




//	right sidebar item background color and border color
echo 'div.right-sidebar-item {background-color:'. $childishlysimple_frontend_details['right_sidebar_item_background_color'] . ';border-color:'. $childishlysimple_frontend_details['right_sidebar_item_border_color'] . ';color:'. $childishlysimple_frontend_details['right_sidebar_font_color'] . ';}' . "\n"; 




//	right sidebar table
echo 'div.right-sidebar table,  div.right-sidebar th,  div.right-sidebar tr,  div.right-sidebar td {border-color:'. $childishlysimple_frontend_details['right_sidebar_font_color'] . ';}' . "\n"; 




//	right sidebar item list border color
echo 'div.right-sidebar-item ul li {border-bottom-color:' . $childishlysimple_frontend_details['right_sidebar_item_list_underline_color'] .  '}' . "\n"; 




//	right sidebar heading background color
echo 'div.right-sidebar-item h2.widgettitle, div.right-sidebar-item h2.right-sidebar-item {background-color:' .  $childishlysimple_frontend_details['right_sidebar_item_heading_background_color'] . ';color:' . $childishlysimple_frontend_details['right_sidebar_item_heading_font_color'] .  ';}' ."\n\n";      




//	right sidebar link and visited color
echo 'div.right-sidebar-item a:link, div.right-sidebar-item a:visited, div.right-sidebar-item a.url:link, div.right-sidebar-item a.url:visited {color:'. $childishlysimple_frontend_details['right_sidebar_link_color'] . ';}' . "\n"; 




//	right sidebar hover color
echo 'div.right-sidebar-item a:hover, div.right-sidebar-item a.url:hover {color:'. $childishlysimple_frontend_details['right_sidebar_hover_color'] . ';}' . "\n\n"; 




//	category heading font color and navigation link colors	
echo 'h1.multiple-post-heading,  span.multiple-nav-left a, span.multiple-nav-right a, p.single-left, p.single-right, p.single-left a, p.single-right a, p.password-protected-comments, h3.comment-reply-title, h3.comment-reply-title a:link, h3.comments, a#cancel-comment-reply-link, p.allowed-tags, p.logged-in-as, p.must-be-logged-in, p.must-be-logged-in a, a.logged-in-as, a.log-out {color:'. $childishlysimple_frontend_details['category_heading_font_color'] . ';}' . "\n\n"; 





//	post title link color, visited color, page title color
echo 'h1.post-title,  h1.page-title,  h2.post-title, a.permalink:link, a.permalink:visited  {color:' .  $childishlysimple_frontend_details ['post_title_font_color']  . ';}'. "\n"; 




//	post title hover color
echo 'a.permalink:hover {color:' .  $childishlysimple_frontend_details ['post_title_font_hover_color']  . ';}'. "\n\n"; 




//	post border color, background color and font color
echo 'div.post, div.page, div.attachment, p.post-info-top, div.inner-home-page-simple-textarea-content  {border-color:'. $childishlysimple_frontend_details['post_border_color'] . '; background-color:'. $childishlysimple_frontend_details['post_background_color'] .  '; color:' .  $childishlysimple_frontend_details['post_font_color'] .';}' ."\n\n"; 	




//	Post, Page table
echo 'div.entry table,  div.entry th,  div.entry tr,  div.entry td {border-color:'. $childishlysimple_frontend_details['post_font_color'] . ';}' . "\n"; 




// 	Caption text color, closed comments (unlinked)
echo '.wp-caption-text, span.comment-link {color:' .  $childishlysimple_frontend_details['post_font_color'] .';}' ."\n\n"; 




//	post bottom border margin
echo 'div.post, div.page, div.attachment {margin-bottom:'. $childishlysimple_frontend_details['post_margin_bottom'] . ';}' ."\n\n"; 




//	sticky post border - same color, wider (width set in style.css)
echo 'div.sticky {border-color: '. $childishlysimple_frontend_details['post_border_color'] . ';}' ."\n\n";  




//	bottom navigation bar background color
echo 'ul.bottom-navigation, div.bottom-navigation {background-color:'. $childishlysimple_frontend_details['bottom_navigation_bar_background_color'] . '; }' ."\n"; 




//	bottom navigation bar border color
echo 'div.bottom-navigation {border-top-color:' . $childishlysimple_frontend_details['bottom_navigation_bar_top_border_color'] . '; border-bottom-color:' . $childishlysimple_frontend_details['bottom_navigation_bar_bottom_border_color'] .	'; }' ."\n"; 




//	bottom navigation bar link color 
echo 'div.bottom-navigation a, small.nav_desc {color:'. $childishlysimple_frontend_details['bottom_navigation_bar_link_color'] . ';}' ."\n"; 




//	bottom navigation bar hover color 
echo 'div.bottom-navigation li:hover > a,  div.bottom-navigation a:focus {color:'. $childishlysimple_frontend_details['bottom_navigation_bar_hover_color'] . ';}' ."\n\n"; 




//	bottom dropdown menu font color, background color, border color
echo 'ul.bottom-navigation li li a:link, ul.bottom-navigation li li a:visited {color:' . $childishlysimple_frontend_details['bottom_dropdown_menu_font_color'] .  '; background-color:' . 	$childishlysimple_frontend_details['bottom_dropdown_menu_link_background_color']  .'; border-color: ' . $childishlysimple_frontend_details ['bottom_dropdown_menu_border_color'] . ';} ' ."\n" ; 




//	bottom dropdown menu color, background color, border color when the menu is hovered over			
echo 'ul.bottom-navigation li li a:hover {color:' . $childishlysimple_frontend_details['bottom_dropdown_menu_hover_font_color'] .  '; background-color:' . $childishlysimple_frontend_details['bottom_dropdown_menu_hover_background_color']  . '; border-color: ' . $childishlysimple_frontend_details ['bottom_dropdown_menu_border_color'] . ';} ' ."\n" ; 




//	bottom dropdown menu background color when the menu item is clicked				
echo 'ul.bottom-navigation li li a:active {color:' . $childishlysimple_frontend_details['bottom_dropdown_menu_font_color'] .  '; background-color:' . $childishlysimple_frontend_details['bottom_dropdown_menu_active_background_color']  . '; border-color: ' . $childishlysimple_frontend_details ['bottom_dropdown_menu_border_color'] . ';} ' ."\n\n" ; 




//	footer background color, footer item width, footer item background color, footer item border and font color
echo 'div.footer {background-color:'. $childishlysimple_frontend_details['footer_background_color'] . ';}' . "\n";

// 	footer widgets left spacing
echo 'div.inner-footer-widget-container {padding-left:' . $childishlysimple_frontend_details['footer_widgets_left_space'] . ';}' . "\n";

// 	footer widgets right spacing
echo 'div.inner-footer-widget-container {padding-right:' . $childishlysimple_frontend_details['footer_widgets_right_space'] . ';}' . "\n";

//	footer sidebar table
echo 'div.inner-footer table,  div.inner-footer th,  div.inner-footer tr,  div.inner-footer td {border-color:'. $childishlysimple_frontend_details['footer_font_color'] . ';}' . "\n"; 
			
echo 'div.outer-footer-item {width:' . $childishlysimple_frontend_details['outer_footer_item_width'] . ';}' . "\n";

echo 'div.inner-footer-item {background-color:'. $childishlysimple_frontend_details['footer_item_background_color'] . ';border-color:'. $childishlysimple_frontend_details['footer_item_border_color'] .  ';color:'. $childishlysimple_frontend_details['footer_font_color'] . '; min-height:' .  $childishlysimple_frontend_details['footer_item_minimum_height'] . ';}' . "\n"; 




// hack for latest comments
echo 'div.inner-footer-item p.footer-latest-comments-excerpt {color:'. $childishlysimple_frontend_details['footer_font_color'] . ';}' . "\n"; 




//	footer item list border color
echo 'div.inner-footer-item ul li {border-bottom-color:' . $childishlysimple_frontend_details['footer_item_list_underline_color'] .  '}' . "\n"; 




//	footer heading background color and font color
echo 'div.inner-footer-item h2.footer-item, div.inner-footer-item h2.widgettitle {background-color:'. $childishlysimple_frontend_details['footer_item_heading_background_color'] . ';color:'. $childishlysimple_frontend_details['footer_item_heading_font_color'] . ';}' ."\n\n"; 




//	footer item link and visited color
echo 'div.inner-footer-item a:link, div.inner-footer-item a:visited {color:'. $childishlysimple_frontend_details['footer_link_color'] . ';}' . "\n"; 




// footer item hover color
echo 'div.inner-footer-item a:hover {color:'. $childishlysimple_frontend_details['footer_hover_color'] . ';}' . "\n\n"; 




//	footer spacer, which pushes footer items down the page
echo 'div.footer-spacer {height:'. $childishlysimple_frontend_details['footer_spacing'] . ';}' ."\n\n"; 




//	link color of RSS feed links, powered by WordPress link and Alchemweb link 
echo'a.powered-by:link, a.theme-created-by:link, a.rss-all-posts:link, a.rss-all-comments:link, a.rss-comments-single-post:link, a.designed-by:link, a.powered-by:visited, a.theme-created-by:visited, a.rss-all-posts:visited, a.rss-all-comments:visited, a.rss-comments-single-post:visited, a.designed-by:visited {color:' . $childishlysimple_frontend_details['utility_link_color'] . ';}' ."\n\n"; 




// RSS icon color
echo'span.image-rss {border-color:' . $childishlysimple_frontend_details['utility_link_color'] . ';}' ."\n\n"; 




//	Hover color of RSS feed links, powered by WordPress links, copyright notice and text within the main footer area
echo'p.copyright, span.theme-created-by, a.powered-by:hover, a.theme-created-by:hover, a.rss-all-posts:hover, a.rss-all-comments:hover, a.rss-comments-single-post:hover, a.designed-by:hover {color:' . $childishlysimple_frontend_details['utility_hover_color'] . ';}' ."\n\n"; 













// Miscellaneous items
$miscellaneous_items_internal_stylesheet = array( );
$miscellaneous_items_internal_stylesheet = $childishlysimple_frontend_details['selected_miscellaneous_stuff'];
	if ($miscellaneous_items_internal_stylesheet =='' ) $miscellaneous_items_internal_stylesheet = array( 1,2 ); 
	// Create a placeholder array to prevent error messages on the website if nothing selected







//	Rounded corners on nearly everything. With thanks to the WordPress  Twenty Eleven theme
if( in_array( 'rounded_everything', $miscellaneous_items_internal_stylesheet ) ) { 




echo 'div.inner-home-page-simple-textarea-content, div.post, div.page, div.attachment, div.comment-body{-moz-border-radius:7px;-webkit-border-radius:7px;border-radius:7px}' ."\n\n";




echo 'div.left-sidebar-item, h2.left-sidebar-item,  div.right-sidebar-item, h2.right-sidebar-item, div.inner-footer-item, h2.footer-item, left-sidebar-item, h2.left-sidebar-item,  div.inner-home-page-widget, div.left-sidebar-item h2.widgettitle:first-child, div.right-sidebar-item h2.widgettitle:first-child, div.inner-footer-item h2.widgettitle:first-child, div.inner-home-page-widget  h2.widgettitle:first-child  {-moz-border-radius-topleft:7px; -moz-border-radius-topright:7px;-webkit-border-top-left-radius:7px;-webkit-border-top-right-radius:7px;border-top-right-radius:7px;border-top-left-radius:7px;}' ."\n\n\n";




echo 'div.left-sidebar-item,div.right-sidebar-item, div.inner-footer-item, div.inner-home-page-widget {-moz-border-radius-bottomleft: 7px; -moz-border-radius-bottomright:7px;-webkit-border-bottom-left-radius:7px;-webkit-border-bottom-right-radius:7px;border-bottom-right-radius:7px;border-bottom-left-radius:7px;}' ."\n\n\n";




echo 'div.wrapper, div#wrapper, div.top-image-container, img.header {-moz-border-radius-topleft:7px; -moz-border-radius-topright:7px;-webkit-border-top-left-radius:7px;-webkit-border-top-right-radius:7px;border-top-right-radius:7px;border-top-left-radius:7px;}' . "\n\n\n";




echo 'div.wrapper, div#wrapper, div.footer {-moz-border-radius-bottomleft:7px; -moz-border-radius-bottomright:7px;-webkit-border-bottom-left-radius:7px;-webkit-border-bottom-right-radius:7px;border-bottom-right-radius:7px;border-bottom-left-radius:7px;}' . "\n\n\n";




echo 'img.avatar {-moz-border-radius: 3px;border-radius: 3px;-webkit-box-shadow: 0 1px 2px #bbb;-moz-box-shadow: 0 1px 2px #bbb;box-shadow: 0 1px 2px #bbb;}' . "\n\n\n";




echo 'a.page-numbers:link, a.page-numbers:visited, a.page-numbers:hover,span.current {-moz-border-radius: 3px;border-radius: 3px;-webkit-box-shadow: 0 1px 2px #bbb;-moz-box-shadow: 0 1px 2px #bbb;box-shadow: 0 1px 2px #bbb;}' . "\n\n\n";







	} else {	//	if don't want rounded corners
	



	echo 'div.wrapper, div#wrapper, div.top-image-container, img.header,
	img, div.entry img, div.inner-home-page img, div.inner-footer-item img, div.inner-home-page-widget img, div.sidebar img, img.avatar,
	div.post, div.page, div.attachment, div.comment-body,
	div.left-sidebar-item, h2.left-sidebar-item,  
	div.right-sidebar-item, h2.right-sidebar-item, 
	div.inner-footer-item, h2.footer-item,
	div.inner-home-page-simple-textarea-content,
	div.inner-home-page-widget, 
	div.left-sidebar-item h2.widgettitle:first-child, 
	div.right-sidebar-item h2.widgettitle:first-child, 
	div.inner-footer-item h2.widgettitle:first-child, 
	div.inner-home-page-widget h2.widgettitle:first-child,
	div.footer, img.avatar, a.page-numbers:link, a.page-numbers:visited, a.page-numbers:hover, span.current {
	border-radius:0;
	box-shadow: none;
	-moz-border-radius: 0;
	-moz-box-shadow: none;
	-webkit-border-radius: 0;
	-webkit-box-shadow: none;} '. "\n\n";
}

	
	
	
	


//	Square corners on top banner image
if( in_array( 'square_top_banner', $miscellaneous_items_internal_stylesheet ) ) {
echo 'div.wrapper, div#wrapper, div.top-image-container, img.header {-moz-border-radius-topleft: 0px; -moz-border-radius-topright: 0px;-webkit-border-top-left-radius: 0px;-webkit-border-top-right-radius: 0px;border-top-right-radius:0px;border-top-left-radius:0px;}' . "\n\n\n";
}




//	Square corners on bottom of website
if( in_array( 'square_bottom_website', $miscellaneous_items_internal_stylesheet ) ) {
echo 'div.wrapper, div#wrapper, div.footer, div.inner-footer {-moz-border-radius-bottomleft: 0px; -moz-border-radius-bottomright: 0px;-webkit-border-bottom-left-radius: 0px;-webkit-border-bottom-right-radius: 0px;border-bottom-right-radius:0px;border-bottom-left-radius:0px;}' . "\n\n\n";
}




//	Square corners on images
if( in_array( 'square_images_in_posts', $miscellaneous_items_internal_stylesheet ) ) { 
echo 'img, div.entry img, div.inner-home-page img, div.inner-footer-item img, div.inner-home-page-widget img, div.sidebar img, img.avatar{-moz-border-radius: 0px;-webkit-border-radius: 0px;border-radius:0px}' ."\n\n";
}




//	Square top corners on left  sidebar items
if( in_array( 'square_top_left_sidebar_items', $miscellaneous_items_internal_stylesheet ) ) { 
echo 'div.left-sidebar-item, h2.left-sidebar-item, div.left-sidebar-item h2.widgettitle:first-child {-moz-border-radius-topleft: 0px; -moz-border-radius-topright: 0px;-webkit-border-top-left-radius: 0px;-webkit-border-top-right-radius: 0px;border-top-right-radius:0px;border-top-left-radius:0px;}' ."\n\n\n";
}




//	Square top corners on right sidebar items
if( in_array( 'square_top_right_sidebar_items', $miscellaneous_items_internal_stylesheet ) ) { 
echo 'div.right-sidebar-item, h2.right-sidebar-item, div.right-sidebar-item h2.widgettitle:first-child {-moz-border-radius-topleft: 0px; -moz-border-radius-topright: 0px;-webkit-border-top-left-radius: 0px;-webkit-border-top-right-radius: 0px;border-top-right-radius:0px;border-top-left-radius:0px;}' ."\n\n\n";
}




//	Square bottom corners on left sidebar items
if( in_array( 'square_bottom_left_sidebar_items', $miscellaneous_items_internal_stylesheet ) ) { 
echo 'div.left-sidebar-item {-moz-border-radius-bottomleft: 0px; -moz-border-radius-bottomright: 0px;-webkit-border-bottom-left-radius: 0px;-webkit-border-bottom-right-radius: 0px;border-bottom-right-radius:0px;border-bottom-left-radius:0px;}' ."\n\n\n";
}




//	Square bottom corners on right sidebar items
if( in_array( 'square_bottom_right_sidebar_items', $miscellaneous_items_internal_stylesheet ) ) { 
echo 'div.right-sidebar-item {-moz-border-radius-bottomleft: 0px; -moz-border-radius-bottomright: 0px;-webkit-border-bottom-left-radius: 0px;-webkit-border-bottom-right-radius: 0px;border-bottom-right-radius:0px;border-bottom-left-radius:0px;}' ."\n\n\n";
}




//	Square top corners on footer items
if( in_array( 'square_top_footer_items', $miscellaneous_items_internal_stylesheet ) ) {
echo 'div.inner-footer-item, h2.footer-item, div.inner-footer-item h2.widgettitle:first-child   {-moz-border-radius-topleft: 0px; -moz-border-radius-topright: 0px;-webkit-border-top-left-radius: 0px;-webkit-border-top-right-radius: 0px;border-top-right-radius:0px;border-top-left-radius:0px;}' ."\n\n\n";
}




//      Square bottom corners on footer items
if( in_array( 'square_bottom_footer_items', $miscellaneous_items_internal_stylesheet ) ) 
echo 'div.inner-footer-item {-moz-border-radius-bottomleft: 0px; -moz-border-radius-bottomright: 0px;-webkit-border-bottom-left-radius: 0px;-webkit-border-bottom-right-radius: 0px;border-bottom-right-radius:0px;border-bottom-left-radius:0px;}' ."\n\n\n";




//	No top border on footer items
if( in_array( 'no_top_border_footer', $miscellaneous_items_internal_stylesheet ) ) echo 'div.inner-footer-item {border-top:none;}' ."\n\n\n";




//	Square corners on posts
if( in_array( 'square_posts', $miscellaneous_items_internal_stylesheet ) ) echo 'div.post, div.page, div.attachment{-moz-border-radius: 0px;-webkit-border-radius: 0px;border-radius:0px}' ."\n\n";













get_template_part('internal-style-sheet', 'fonts-rem');













if ( is_front_page () ) {	// Only show on the home page




echo "\n\n" . '/* Start home page only styles */' . "\n\n" ;




// START DEPRECATED
// Very simple home page with custom post NO widgets, background color of content area. DEPRECATED
if ($childishlysimple_frontend_details['selected_home_page'] == 'custom_post')  echo 'div.home-page-custom-post-without-widgets-content {background-color:' . $childishlysimple_frontend_details['home_custom_no_widgets_page_background_color'] . ';}' . "\n";




// DEPRECATED Very simple home page WITH custom post and widgets.
if ($childishlysimple_frontend_details['selected_home_page'] == 'custom_post_with_widgets')   {




//     DEPRECATED Square top corners on Home Page widgets
if ( in_array( 'square_top_home_page_widgets', $miscellaneous_items_internal_stylesheet ) ) 
echo 'div.inner-home-page-widget, div.inner-home-page-widget  h2.widgettitle:first-child  {-moz-border-radius-topleft:0px; -moz-border-radius-topright:0px;-webkit-border-top-left-radius:0px;-webkit-border-top-right-radius:0px;border-top-right-radius:0px;border-top-left-radius:0px;}' ."\n\n\n";




//     DEPRECATED Square bottom corners on Home Page widgets
if( in_array( 'square_bottom_home_page_widgets', $miscellaneous_items_internal_stylesheet ) )
echo 'div.inner-home-page-widget {-moz-border-radius-bottomleft: 0px; -moz-border-radius-bottomright:0px;-webkit-border-bottom-left-radius:0px;-webkit-border-bottom-right-radius:0px;border-bottom-right-radius:0px;border-bottom-left-radius:0px;}' ."\n\n\n";




//  DEPRECATED Very simple home page with custom post and widgets - background color of content area
echo 'div.home-page-custom-post-with-widgets-content {background-color:' . $childishlysimple_frontend_details['home_custom_with_widgets_content_background_color'] . ';}' . "\n";




//  DEPRECATED Background color of widgets area
echo 'div.home-page-custom-post-with-widgets-widgets-container {background-color:' . $childishlysimple_frontend_details['home_custom_with_widgets_w_area_background_color'] . ';}' . "\n";




//  DEPRECATED Very simple home page with custom post and widgets - move the widgets down the page
echo 'div.home-page-custom-post-with-widgets-spacer {height:' . $childishlysimple_frontend_details['home_custom_with_widgets_widget_spacer'] . ';}' . "\n";




// DEPRECATED Very simple home page with widgets, widget width
echo 'div.outer-home-page-widget-custom-post {width:' . $childishlysimple_frontend_details['outer_home_widget_custom_width'] . ';}' . "\n"; 




//  DEPRECATED Very simple home page with widgets, background, widget border, widget font, widget min height
echo 'div.inner-home-page-widget-custom-post {background-color:'. $childishlysimple_frontend_details['home_custom_with_widgets_background_color'] . ';border-color:'. $childishlysimple_frontend_details['home_custom_with_widgets_border_color'] .  ';color:'. $childishlysimple_frontend_details['home_custom_with_widgets_font_color'] . '; min-height:' .  $childishlysimple_frontend_details['home_custom_with_widgets_minimum_height'] . ';}' . "\n"; 




// DEPRECATED Very simple home page with widgets, heading background color and font color
echo 'div.inner-home-page-widget-custom-post h2.widgettitle {background-color:'. $childishlysimple_frontend_details['home_custom_with_widgets_heading_background_color'] . ';color:'. $childishlysimple_frontend_details['home_custom_with_widgets_heading_font_color'] . ';}' ."\n\n"; 




// DEPRECATED Very simple home page with widgets, link and visited color
echo 'div.inner-home-page-widget-custom-post a:link, div.inner-home-page-widget-custom-post a:visited {color:'. $childishlysimple_frontend_details['home_custom_with_widgets_link_color'] . ';}' . "\n"; 




// DEPRECATED Very simple home page with widgets, link hover color
echo 'div.inner-home-page-widget-custom-post a:hover {color:'. $childishlysimple_frontend_details['home_custom_with_widgets_hover_color'] . ';}' . "\n\n"; 

}	//   end if ( childishlysimple_frontend_details['selected_home_page'] == 'custom_post_with_widgets' )
// END DEPRECATED




// Top spacer, home page only - multiple posts, pages
echo 'body.home div.header-container {min-height:'  . $childishlysimple_frontend_details['home_page_top_spacer'] . ';}' . "\n";
echo 'div.outer-home-page {margin-top:' . $childishlysimple_frontend_details['home_page_top_spacer'] . ';}' . "\n\n";




// Bottom spacer, home page only - multiple posts, simple home pages
echo 'div.multiple-post-last-post, div.multiple-excerpt-last-excerpt, div.page {margin-bottom:'  . $childishlysimple_frontend_details['home_page_bottom_spacer'] . ';}' . "\n";
echo 'div.outer-home-page-simple {padding-bottom:'  . $childishlysimple_frontend_details['home_page_bottom_spacer'] . ';}'  . "\n\n";




// No margins on home page multiple posts
// echo 'div.multiple-post {margin-left:0;margin-right:0;}'  . "\n";




// Left spacer, home page only - multiple posts, simple home pages
echo 'div.inner-home-page-simple, div.front-page-content-no-sidebars, div.post, div.page, div.single-post-navigation, div.multiple-post-navigation {margin-left:' .   $childishlysimple_frontend_details['home_page_left_spacer'] . ';}' . "\n";




// Right spacer, home page only - multiple posts, simple home pages
echo 'div.inner-home-page-simple,  div.front-page-content-no-sidebars, div.post,div.page, div.single-post-navigation, div.multiple-post-navigation  {margin-right:' .   $childishlysimple_frontend_details['home_page_right_spacer'] . ';}' . "\n";




// Home page content background color
echo 'div.inner-wrapper, div.outer-home-page-simple {background-color:' .  $childishlysimple_frontend_details['home_page_content_background_color'] . ';}' . "\n"; 




// Home page footer background color
echo 'div.footer {background-color:'. $childishlysimple_frontend_details['home_page_footer_background_color'] . ';}' . "\n";




// Home page textareas border width
echo 'div.inner-home-page-simple-textarea-content {border-width:'. $childishlysimple_frontend_details['home_simple_textarea_border_width'] . 'px;}' . "\n";














// Home page bottom widgets


//     Square top corners on Home Page widgets
if ( in_array( 'square_top_home_page_widgets', $miscellaneous_items_internal_stylesheet ) ) 
echo 'div.inner-home-page-simple-textarea-content, div.inner-home-page-widget, div.inner-home-page-widget  h2.widgettitle:first-child  {-moz-border-radius-topleft:0px; -moz-border-radius-topright:0px;-webkit-border-top-left-radius:0px;-webkit-border-top-right-radius:0px;border-top-right-radius:0px;border-top-left-radius:0px;}' ."\n\n\n";




//     Square bottom corners on Home Page widgets
if( in_array( 'square_bottom_home_page_widgets', $miscellaneous_items_internal_stylesheet ) )
echo 'div.inner-home-page-simple-textarea-content, div.inner-home-page-widget {-moz-border-radius-bottomleft: 0px; -moz-border-radius-bottomright:0px;-webkit-border-bottom-left-radius:0px;-webkit-border-bottom-right-radius:0px;border-bottom-right-radius:0px;border-bottom-left-radius:0px;}' ."\n\n\n";




//  Move the bottom home page widgets down the page
echo "\n" . 'div.home-page-bottom-widget-spacer {height:' . $childishlysimple_frontend_details['home_page_bottom_widgets_widget_spacer'] . ';}' . "\n";




// Bottom widget width
echo 'div.outer-home-page-bottom-widget {width:' . $childishlysimple_frontend_details['outer_home_bottom_widget_width'] . ';}' . "\n"; 




// Bottom widget left and right spacer
echo 'div.home-page-widgets-container {background-color:' . $childishlysimple_frontend_details['home_page_bottom_widgets_w_area_background'] . ';padding-left:' . $childishlysimple_frontend_details['home_page_bottom_widgets_left_space'] . ';padding-right:' . $childishlysimple_frontend_details['home_page_bottom_widgets_right_space'] . ';}' . "\n"; 




//  Bottom widget background, widget border, widget font, widget min height
echo 'div.inner-home-page-bottom-widget {background-color:'. $childishlysimple_frontend_details['home_page_bottom_widgets_background_color'] . ';border-color:'. $childishlysimple_frontend_details['home_page_bottom_widgets_border_color'] .  ';color:'. $childishlysimple_frontend_details['home_page_bottom_widgets_font_color'] . '; min-height:' .  $childishlysimple_frontend_details['home_page_bottom_widgets_minimum_height'] . ';}' . "\n"; 




//	Bottom widget heading background color and font color
echo 'div.inner-home-page-bottom-widget h2.widgettitle {background-color:'. $childishlysimple_frontend_details['home_page_bottom_widgets_heading_background_color'] . ';color:'. $childishlysimple_frontend_details['home_page_bottom_widgets_heading_font_color'] . ';}' ."\n"; 




//	Bottom widget underline color
echo 'div.inner-home-page-bottom-widget ul li {border-bottom-color:'. $childishlysimple_frontend_details['home_page_bottom_widgets_list_underline_color'] . ';}' ."\n"; 




//	home page bottom widget table
echo 'div.inner-home-page-bottom-widget table,  div.inner-home-page-bottom-widget th,  div.inner-home-page-bottom-widget tr,  div.inner-home-page-bottom-widget td {border-color:'. $childishlysimple_frontend_details['home_page_bottom_widgets_font_color'] . ';}' . "\n"; 




//	Bottom widget link and visited color
echo 'div.inner-home-page-bottom-widget a:link, div.inner-home-page-bottom-widget a:visited {color:'. $childishlysimple_frontend_details['home_page_bottom_widgets_link_color'] . ';}' . "\n"; 




//	Bottom widget link hover color
echo 'div.inner-home-page-bottom-widget a:hover {color:'. $childishlysimple_frontend_details['home_page_bottom_widgets_hover_color'] . ';}' . "\n\n"; 












// Multiple posts home page
if ($childishlysimple_frontend_details['selected_home_page'] == 'multiple_posts')   {
	echo 'h1.multiple-post-heading-index {color:' .  $childishlysimple_frontend_details['home_page_heading_color'] . '}' . "\n";
}












// Simple home page 01
if ($childishlysimple_frontend_details['selected_home_page'] == 'simple_home_01')   {

	if ($childishlysimple_frontend_details['home_simple_01_textarea_01_height'] == '0') {
		echo 'div.inner-home-page-simple-01-textarea-01-content {display:none;}';
}  else  {
	echo 'div.inner-home-page-simple-01-textarea-01-content {background-color:' .  $childishlysimple_frontend_details['home_simple_01_textarea_01_background_color'] . ';min-height:' . $childishlysimple_frontend_details['home_simple_01_textarea_01_height'] . 'px;border-color:' . $childishlysimple_frontend_details['home_simple_01_textarea_01_border_color'] . ';}' . "\n";
}

} // End if Home Page 01












// Simple home page 02
if ($childishlysimple_frontend_details['selected_home_page'] == 'simple_home_02')   {




if ($childishlysimple_frontend_details['home_simple_02_textarea_01_height'] == '0') {
		echo 'div.inner-home-page-simple-02-textarea-01-content {display:none;}';
}  else  {
	echo 'div.inner-home-page-simple-02-textarea-01-content {background-color:' .  $childishlysimple_frontend_details['home_simple_02_textarea_01_background_color'] . ';border-color:' .  $childishlysimple_frontend_details['home_simple_02_textarea_01_border_color'] .  ';min-height:' . $childishlysimple_frontend_details['home_simple_02_textarea_01_height'] . 'px;}' . "\n";
}




if ($childishlysimple_frontend_details['home_simple_02_textarea_02_height'] == '0') {
		echo 'div.inner-home-page-simple-02-textarea-02-content {display:none;}';
}  else  {
	echo 'div.inner-home-page-simple-02-textarea-02-content {background-color:' .  $childishlysimple_frontend_details['home_simple_02_textarea_02_background_color'] . ';border-color:' .  $childishlysimple_frontend_details['home_simple_02_textarea_02_border_color'] .  ';min-height:' . $childishlysimple_frontend_details['home_simple_02_textarea_02_height'] . 'px;}' . "\n";
}




if ($childishlysimple_frontend_details['home_simple_02_textarea_03_height'] == '0') {
		echo 'div.inner-home-page-simple-02-textarea-03-content {display:none;}';
}  else  {
	echo 'div.inner-home-page-simple-02-textarea-03-content {background-color:' .  $childishlysimple_frontend_details['home_simple_02_textarea_03_background_color'] . ';border-color:' .  $childishlysimple_frontend_details['home_simple_02_textarea_03_border_color'] .  ';min-height:' . $childishlysimple_frontend_details['home_simple_02_textarea_03_height'] . 'px;}' . "\n";
}




if ($childishlysimple_frontend_details['home_simple_02_textarea_04_height'] == '0') {
		echo 'div.inner-home-page-simple-02-textarea-04-content {display:none;}';
}  else  {
	echo 'div.inner-home-page-simple-02-textarea-04-content {background-color:' .  $childishlysimple_frontend_details['home_simple_02_textarea_04_background_color'] . ';border-color:' .  $childishlysimple_frontend_details['home_simple_02_textarea_04_border_color'] .  ';min-height:' . $childishlysimple_frontend_details['home_simple_02_textarea_04_height'] . 'px;}' . "\n";
}




if ($childishlysimple_frontend_details['home_simple_02_textarea_05_height'] == '0') {
		echo 'div.inner-home-page-simple-02-textarea-05-content {display:none;}';
}  else  {
	echo 'div.inner-home-page-simple-02-textarea-05-content {background-color:' .  $childishlysimple_frontend_details['home_simple_02_textarea_05_background_color'] . ';border-color:' .  $childishlysimple_frontend_details['home_simple_02_textarea_05_border_color'] .  ';min-height:' . $childishlysimple_frontend_details['home_simple_02_textarea_05_height'] . 'px;}' . "\n";
}





} // end if home page 02




echo "\n" .'/* end home page only styles */' . "\n\n" ;

	}	//   end if (is_front_page () )



	echo '</style>';







} elseif( $childishlysimple_frontend_details['major_errors'] == 'major_errors' ) get_template_part( 'internal-style-sheet-if-major-errors' ); // If there are major errors

?> 


