<?php /*
Template Name: Woocommerce with sidebars (for T&C and Change Password)
*/ ?>




<?php /*
Woocommerce will automatically use woocommerce.php for the shop page, the single product page and the taxonomy page. You CANNOT use any other Page template for those pages. 

Other pages in Woocommerce (e.g. checkout, cart, account) CAN use different Page templates e.g. 'Page without sidebars'. They are automatically given various Woocommerce body classes that allow them to be styled. However there are two further pages (Terms and Conditions and Change Password) that are NOT automatically given Woocommerce body classes. For such Pages use the Woocommerce Page templates e.g. 'Woocommerce without sidebars (for T&C and Change Password)' or 'Woocommerce with sidebars (for T&C and Change Password)'
*/ ?>




<?php get_template_part( 'doctype' ); ?> 




<!-- page-woocommerce-with-sidebars.php-->




<?php $childishlysimple_file_name='page-woocommerce-with-sidebars'; //	Used in     post_class();  ?>




<?php get_header( ); ?>







<?php				

	if (is_front_page()) {  // If it's the front page




		if ( isset (  $childishlysimple_frontend_details['home_page_sidebars_yes_or_no']  )) { // To prevent error messages if I mess up
			
			if( array_key_exists ( 'home_page_sidebars', $childishlysimple_frontend_details['home_page_sidebars_yes_or_no'] ) ) {  // If the front page has sidebars




if (( $childishlysimple_frontend_details['site_layout']=='two_col_cont_right' ) || ( $childishlysimple_frontend_details['site_layout']=='three_col_cont_middle' )  || ( $childishlysimple_frontend_details['site_layout']=='three_col_cont_right' )) get_sidebar( 'left' );

if ( $childishlysimple_frontend_details['site_layout']=='three_col_cont_right' ) get_sidebar( 'right' );
	
echo "\n\n\n\n\n\n\n" . '<div class="content content-page content-woocommerce-with-sidebars">' . "\n\n\n";





}   else   {     //    If the front page doesn't have sidebars i.e. is 100% wide. The rest of the site might have sidebars so we create a class that can be styled
		   //    This class is NOT div.content which will have a CSS defined width dependant on the chosen layout


			echo "\n\n\n\n\n\n\n" . '<div class="front-page-content-no-sidebars front-page-content-no-sidebars-woocommerce-with-sidebars">' . "\n\n\n";


}	// end if the front page doesn't have sidebars
}	// end if isset array







} else {  // if this is not the front page everything's normal







				if (( $childishlysimple_frontend_details['site_layout']=='two_col_cont_right' ) || ( $childishlysimple_frontend_details['site_layout']=='three_col_cont_middle' )  || ( $childishlysimple_frontend_details['site_layout']=='three_col_cont_right' )) get_sidebar( 'left' );

			if ( $childishlysimple_frontend_details['site_layout']=='three_col_cont_right' ) get_sidebar( 'right' );
	
			echo "\n\n\n\n\n\n\n" . '<div class="content content-page content-woocommerce-with-sidebars">' . "\n\n\n";




}	// end if this is not the front page
?>







<div class="header-container header-container-page header-woocommerce-with-sidebars">

</div><!-- End header-container header-woocommerce-with-sidebars -->




<?php  if ( have_posts( ) ) : while ( have_posts( ) ) : the_post( ); 	?>




<div <?php post_class( $childishlysimple_file_name );?>>




<h1 class="page-title page-title-woocommerce-with-sidebars"><?php the_title_attribute( );?></h1>




<div class="entry entry-page entry-woocommerce-with-sidebars">




<?php the_content( ); ?>




</div> <!--Close entry entry-woocommerce-with-sidebars -->







<?php 
     $childishlysimple_args = array(
   	  'before'           => '<div class="post-links"><p class="post-links">',	
 	   'after'            => '</p></div>',								
  	  'link_before'      => '<span class="post-links">',					
  	  'link_after'       => '</span>',								
 	  'next_or_number'   => 'number',	
  	  'nextpagelink'     => 'Next page',						
  	  'previouspagelink' => 'Previous page',						
  	  'pagelink'         => '%',					
  	  'more_file'        => '' ,
  	  'echo'             => 1 ); 					

 		wp_link_pages( $childishlysimple_args ); 	 
?>







<?php /* get_template_part( 'comments-pings-trackbacks-allowed' ); */ ?>




<?php edit_post_link( 'Edit this page', '<p class="edit-post">', '</p>' ); ?>




</div><!--Close  post htentry  etc. -->  




<?php endwhile; ?>




<?php comments_template( '', true ); ?>




<?php else : ?>




<?php get_search_form( );   ?> 




<?php endif; ?>




<?php wp_reset_query( );?>







<?php

	if (is_front_page()) {




		if ( isset (  $childishlysimple_frontend_details['home_page_sidebars_yes_or_no']  )) {

			if( array_key_exists ( 'home_page_sidebars', $childishlysimple_frontend_details['home_page_sidebars_yes_or_no'] ) ) { // If the front page has sidebars




				echo '</div><!-- end content content-woocommerce-with-sidebars -->' . "\n\n\n\n\n";

				if (( $childishlysimple_frontend_details['site_layout']=='three_col_cont_left' ) ) get_sidebar( 'left' );

				if (( $childishlysimple_frontend_details['site_layout']=='two_col_cont_left' ) || ( $childishlysimple_frontend_details['site_layout']== 'three_col_cont_left' ) || ( $childishlysimple_frontend_details['site_layout']== 'three_col_cont_middle' ) ) get_sidebar( 'right' );



} else { 	// If the front page doesn't have sidebars


	echo '</div><!-- end front-page-content-no-sidebars-page- -->' . "\n\n\n\n\n";


}	// End if the front page doesn't have sidebars
}	// end if isset array







} else {  // if this is not the front page everything's normal






				echo '</div><!-- end content content-woocommerce-with-sidebars  -->' . "\n\n\n\n\n";

				if (( $childishlysimple_frontend_details['site_layout']=='three_col_cont_left' ) ) get_sidebar( 'left' );

				if (( $childishlysimple_frontend_details['site_layout']=='two_col_cont_left' ) || ( $childishlysimple_frontend_details['site_layout']== 'three_col_cont_left' ) || ( $childishlysimple_frontend_details['site_layout']== 'three_col_cont_middle' ) ) get_sidebar( 'right' );




}	// end if this is not the front page
?>







<?php get_footer( ); ?>




</body>
</html>